EDIT - task #9871

Use identity cache for specimens in TaxEditor
11/16/2021 03:57 PM - Andreas Miiller

Status: New Start date:

Priority: New Due date:

Assignee: Belen Escobari % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description

In facts view and searches specimen labels are difficult to read as they use the titleCache which is often too long and shows
important information at the end.

Where possible we should use the identity cache or similar labels instead.

WGB:

Die Auflistung der Belege erfolgt im Druckausgabeformat. Sobald die Ortsangabe etwas langer wird, werden Sammler und
Sammelnummer abgeschnitten — das ist aber genau das Datum, nach dem ich die Belege zum Verschieben auswahle. Ich muss
dann, um sicherzugehen, jeden einzelnen Beleg anklicken und ansehen:

8 Factual Data 2
~ Factual data for Lonchocarpus atropurpureus Benth.
Commaon Name
Distribution
General distribution
Other references for taxon
Report (reference) for El Salvador
Taxon illustration references
Text Specimen (old)
« JACQ import for Lonchocarpus atropurpureus Benth.
~ Specimen
El Salvador, Alrededores de pata de galling, P.N. El Imposible, 13°48'36"N, 89°55'48"W (WGS84), 27.4.1990, Sermefic 181 [JELO1111] (B B 10 0035006).
El Salvador, Alrededores de pata de gallina, P.N. El Imposible, 13°48°36°N, 89°55'48"W (WG584), 27.4.1990, Sermenio 181 [JBLO1111] (K.
El Salvador, Alrededores de pata de gallina, P.N. El Imposible, 13°48'36"N, 89°55'48"W (WG584), 27.4.1990, Sermefic 181 [JBLO1111] (LAGU).
El Salvador, Alrededores de pata de gallina, P.N. El Imposible, 13°48'36"N, 89°55'48"W (WGS84), 27.4.1990, Sermefio 181 [JBLO1111] (MO).
El Salvador, Municipio Metapan, San José ingenio, P.N. Montecristo, El Plan del Maniadero, alt. 1200 m, 14°24°36°N, 89°21'W (WG584), 8.2.2002, Martine...
El Salvador, Municipio Metapan, San José Ingenio, P.N. Montecristo, El Plan del Maniadero, alt. 1200 m, 14°24°36"N, 89°21'W (WG584), 8.2.2002, Martine...
El Salvador, Municipio Metapan, San José Ingenio, P.N. Montecristo, El Plan del Maniadero, alt. 1200 m, 14°24° 36N, 89°21'W (WGS584), 8.2.2002, Martine...
El Salvador, Municipio Metapan, 5an José Ingenio, P.N. Montecristo, El Plan del Maniadero, alt. 1200 m, 14°24°36"N, B9°21'W (WG584), 8.2.2002, Martine...
El Salvador, P.N. El Imposible, Hda. San Benito, Monte Hermoso al N del pie de la Escalera, alt. 500 m, 13°48"36"N, B9°55'48"W (WGS84), 27.3.1993, San..
El Salvador, P.N. El Imposible, Hda. San Benito, Monte Hermoso al N del pie de fa Escalera, alt. 300 m, 13°48'36™N, 89°55'48"W (WG584), 27.3.1993, San...
El Salvador, P.N. El Imposible, Hda. San Benito, Monte Hermoso al N del pie de la Escalera, alt. 500 m, 13°48736"N, 89°55'48"W (WG584), 27.3.1993, San...
El Salvador, PN, El Impasible, Hda. San Benito, Monte Hermoso al N del pie de la Escalera, alt, 500 m, 13°48'36"N, B9°55'48"W (WGSB4), 27.3.1993, San...
El Salvador, P.N. El Imposible, Hda. San Benito, Monte Hermoso al N del pie de la Escalera, alt. 500 m, 13°48'36"N, B9°55'48"W (WG584), 27.3.1993, San...
El Salvador, P.N. El Imposible, Hda. San Benito, Monte Hermoso al N del pie de la Escalera, alt. 500 m, 13°48'36"N, 89°55'48°W (WGS584), 27.3.1993, San..
El Salvador, P.N. El Imposible, Hda. 5an Benito, Monte Hermoso al N del pie de |a Escalera, alt. 500 m, 13°48736°N, 89°55°48"W (WG584), 27.3.1993, San...
El Salvador, P.N. El Imposible, Hda. San Benito, en la Palanquera La Pefia, alt. 550 m, 13°48'36"N, 89°55'48"W (WGS84), 1.4.1995, M, Sandoval & Sandova..
El Salvador, P.N. El Imposible, Hda. San Benito, en la Palanguera La Pefia, alt. 550 m, 13°48°36"N, 89°55'48"W (WG584), 1.4.1995, M. Sandoval & Sandova...
El Salvador, P.N. El Imposible, Hda. San Benito, en la Palanquera La Pefia, alt. 550 m, 13°48°36"N, B9°55'48™"W (WG584), 1.4.1995, M. Sandoval & Sandova...
El Salvador, P.N. El Imposible, Hda. 5an Benito, en la Palanguera La Pefia, alt. 550 m, 13°48°36"N, 89°55'48"W (WGS584), 1.4.1995, M. Sandoval & Sandova...
El Salvador, San Francisco Menéndez, El Corozo, El Mariposario, zona alta “Los Sanchez”, alt. 380 m, 13°4836°N, 89°58'48"W (WGS84), 28.3.2000, Rosale..
El Salvador, San Francisco Menéndez, El Corozo, El Mariposario, zona alta "Los Sanchez”, alt. 380 m, 13°48'36"N, 89°58'48™W (WG584), 28.3.2000, Rosale...
El Salvador, San Francisco Menéndez, El Corozo, El Mariposario, zona alta “Los Sanchez”, alt. 380 m, 13°48'36"N, 89°58'48°W (WG584), 28.3.2000, Rosale...
Fl Salvador. San Francisco Menénder. Fl Corozo. FI Marinnsanio. 7ona alta "l os Sanchez”. alt. 380 m. 13°48'36"N. 95848 W (WGSA4). 28.3.2000. Rosale

Related issues:

Related to EDIT - feature request #5952: Second cache field for specimen (ide... Closed
Related to EDIT - feature request #5951: Add collector, field number and coll... New
Related to EDIT - task #9679: Formatter and update script for SpecimenOrObser... New
History

#1 - 11/16/2021 03:58 PM - Andreas Miiller
- Related to feature request #5952: Second cache field for specimen (identityCache) added

#2 - 11/16/2021 03:58 PM - Andreas Miiller

- Related to feature request #5951: Add collector, field number and collection to specimen search label added

#3 - 11/16/2021 04:00 PM - Andreas Miiller

- Tags set to specimen, formatting

The search dialog part is mostly a duplicate for #5952

#4 - 01/12/2023 11:02 AM - Andreas Miiller
- Assignee changed from Katja Luther to Belen Escobari

- Target version changed from Release 5.46 to Release 5.44

#5 - 01/12/2023 11:07 AM - Andreas Miiller

- Related to task #9679: Formatter and update script for SpecimenOrObservationBase short cache added
https://dev.e-taxonomy.eu/redmine/issues/5952
http://www.tcpdf.org

